{% extends 'Soutenances/base.html' %}

{% block title %} Liste des étudiants {% endblock %}

{% block contenu %}
    {% if user.groupe == "admin" %}
    <a href="{% url 'Soutenances:etudiant_form' %}">
        <button class="btn btn-primary"><i class="glyphicon glyphicon-plus-sign"></i> Ajouter etudiant </button>
    </a>

    {% for etu in etudiants %}
      <ul class="list-group">

        <li class="list-group-item liEtuFirst">
          <img src='/media/{{etu.photo}}'>
          <ul class="ulEtudiant">
            <li class="list-group-item"> {{etu.prenom}} {{etu.nom}}</li>
            <li class="list-group-item"> Groupe : {{etu.groupe.nom}} </li>
            <!-- <li class="list-group-item"> Détail : {{etu.detail}} </li>  -->
          </ul>
        </li>


        <li class="list-group-item boutons">
          <a href="{% url 'Soutenances:etudiant_update' etu.pk %}"><button class="btn btn-warning"><i class="glyphicon glyphicon-pencil"></i></button></a>
          <a href="{% url 'Soutenances:etudiant_delete' etu.pk %}"><button class="btn btn-danger"><i class="glyphicon glyphicon-trash"></i></button></a>
        </li>
      </ul>
    {% endfor %}
    {% else %}
    <div class="alert alert-danger" role="alert">
      Vous <strong>n'avez pas accès</strong> à cette page !
    </div>
    {% endif %}
{% endblock %}
